--- cmake/admDetermineSystem.cmake.orig	2022-09-17 21:59:17.000000000 +0800
+++ cmake/admDetermineSystem.cmake	2023-08-02 15:34:17.000000000 +0800
@@ -52,12 +52,12 @@
 # Check CPU support
 ########################################
 IF(NOT MSVC)
-        PERFORM_SYSTEM_TEST(cpu_x86-64_check.cpp "x86 64-bit" X86_64_SUPPORTED)
-
         IF (CMAKE_SIZEOF_VOID_P EQUAL 8)
 	        SET(ADM_CPU_64BIT 1)
         ENDIF (CMAKE_SIZEOF_VOID_P EQUAL 8)
 
+        PERFORM_SYSTEM_TEST(cpu_x86-64_check.cpp "x86 64-bit" X86_64_SUPPORTED)
+
         IF (X86_64_SUPPORTED)
 	        SET(ADM_CPU_X86 1)
 	        SET(ADM_CPU_X86_64 1)
@@ -88,7 +88,12 @@
         ENDIF (X86_64_SUPPORTED)
 
         IF (NOT ADM_CPU_X86_32 AND NOT ADM_CPU_X86_64 AND NOT ADM_CPU_ARMEL AND NOT ADM_CPU_ARM64 AND NOT ADM_CPU_RISCV AND NOT ADM_CPU_RISCV_64)
-	        MESSAGE(FATAL_ERROR "CPU not supported")
+            # Assume PowerPC:
+            IF (ADM_CPU_64BIT)
+	            SET(ADM_CPU_PPC64 1)
+	        ELSE (ADM_CPU_64BIT)
+	            SET(ADM_CPU_PPC 1)
+	        ENDIF (ADM_CPU_64BIT)
         ENDIF (NOT ADM_CPU_X86_32 AND NOT ADM_CPU_X86_64 AND NOT ADM_CPU_ARMEL AND NOT ADM_CPU_ARM64 AND NOT ADM_CPU_RISCV AND NOT ADM_CPU_RISCV_64)
 
         TEST_BIG_ENDIAN(CMAKE_WORDS_BIGENDIAN)
